#!/bin/sh

target=$1

mkdir -p $target/lib
mkdir -p $target/usr/lib
mkdir -p $target/usr/include
mkdir -p $target/usr/bin

cp -af /scratchbox/compilers/cs2005q3.2-glibc2.5-i386/lib/*                 $target/lib/
cp -af /scratchbox/compilers/cs2005q3.2-glibc2.5-i386/i686-linux/lib/libgcc_s*  $target/lib/
cp -af /scratchbox/compilers/cs2005q3.2-glibc2.5-i386/i686-linux/lib/libstdc++* $target/usr/lib/

find /scratchbox/compilers/cs2005q3.2-glibc2.5-i386/usr/ -mindepth 1 -maxdepth 1 -not -name libexec -exec cp -af {} $target/usr/ \;

cp -af /scratchbox/compilers/cs2005q3.2-glibc2.5-i386/include/* $target/usr/include/

ln -sf /bin/cpp $target/lib/
ln -sf /bin/cc  $target/usr/bin/

chmod +x $target/lib/ld-*.so
